View Issue Details

IDProjectCategoryView StatusLast Update
0015297FPCPackagespublic2010-01-11 07:01
ReporterDmitry Boyarintsev Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Fixed in Version2.6.0 
Summary0015297: OpenCL. headers updated and sample project
DescriptionThe pack contains updated cl.pas headers (cl_gl.pas is not changed) also in examples dir there's converted Apple OpenCL sample:
http://developer.apple.com/mac/library/samplecode/OpenCL_Hello_World_Example/index.html
That should work on 10.6 OSX.

Additional InformationFiles layout is in FPC order (./src ./examples), but Makefile is not provided for the sample.
TagsNo tags attached.
Fixed in Revision14534
FPCOldBugId
FPCTarget
Attached Files

Activities

2009-12-09 08:54

 

opencl.zip (23,576 bytes)

2009-12-29 14:58

 

Dmitry Boyarintsev

2009-12-29 15:00

developer   ~0033384

The package has been updated.

The OpenCL header is now able to use Windows .dll (libOpenCL32.dll and libOpenCL64.dll)

The example is now working on both Windows NVidia OpenCL and OSX 10.6 OpenCL Framework.

Florian

2010-01-03 19:27

administrator   ~0033448

Thanks, added in trunk. I tested and fixed it for win32 and win64, works with my GF 8800 GTS.

Dmitry Boyarintsev

2010-01-11 07:01

developer   ~0033555

thanks.

Issue History

Date Modified Username Field Change
2009-12-09 08:54 Dmitry Boyarintsev New Issue
2009-12-09 08:54 Dmitry Boyarintsev File Added: opencl.zip
2009-12-29 14:58 Dmitry Boyarintsev File Added: opencl-updated(win_and_osx).zip
2009-12-29 15:00 Dmitry Boyarintsev Note Added: 0033384
2010-01-03 19:27 Florian Fixed in Revision => 14534
2010-01-03 19:27 Florian Status new => resolved
2010-01-03 19:27 Florian Fixed in Version => 2.5.1
2010-01-03 19:27 Florian Resolution open => fixed
2010-01-03 19:27 Florian Assigned To => Florian
2010-01-03 19:27 Florian Note Added: 0033448
2010-01-11 07:01 Dmitry Boyarintsev Status resolved => closed
2010-01-11 07:01 Dmitry Boyarintsev Note Added: 0033555